summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-11-20 07:12:58 +0000
committer Eric Hameleers <alien@slackware.com>2021-11-20 17:59:38 +0100
commitf26dc376f71e097c67644da34c6c68951299f26e (patch)
tree68c74ab28985b8170a960f1120a9b65e44ae1c72 /source
parent061b63f432805072759263dfcb5fccddd52e5e4c (diff)
downloadcurrent-f26dc376f71e097c67644da34c6c68951299f26e.tar.gz
current-f26dc376f71e097c67644da34c6c68951299f26e.tar.xz
Sat Nov 20 07:12:58 UTC 202120211120071258
d/python3-3.9.9-x86_64-1.txz: Upgraded. This is a bugfix release, fixing four bugs in Python 3.9.8 (including an argparse regression in Python 3.9.8 which caused complex command-line tools to fail recognizing sub-commands properly). It also makes a couple of corrections to the documentation. For more information, see: https://docs.python.org/release/3.9.9/whatsnew/changelog.html l/libjpeg-turbo-2.1.2-x86_64-1.txz: Upgraded. l/python-setuptools_scm-6.3.2-x86_64-1.txz: Added. This is needed when building some Python modules to correctly parse their metadata, as recently discovered with importlib_metadata and zipp. While we'll stick to the version of Markdown that we've got, it seems like a good idea to get this in before the release to help prevent people from running into similar "version 0.0.0" issues with other Python modules. Thanks to USUARIONUEVO. l/python-tomli-1.2.2-x86_64-1.txz: Added. This is needed by setuptools_scm. Also, the SlackBuild contains a nice example of using a setup.py shim to setuptools for a Python module that only contains pyproject.toml and not setup.py. Thanks to Heinz Wiesinger. l/qtkeychain-0.13.2-x86_64-1.txz: Upgraded. n/libmbim-1.26.2-x86_64-1.txz: Upgraded. n/libnftnl-1.2.1-x86_64-1.txz: Upgraded. n/nftables-1.0.1-x86_64-1.txz: Upgraded. xap/mozilla-thunderbird-91.3.2-x86_64-1.txz: Upgraded. This is a bugfix release. For more information, see: https://www.mozilla.org/en-US/thunderbird/91.3.2/releasenotes/ extra/php8/php8-8.0.13-x86_64-1.txz: Upgraded. This update fixes bugs and a security issue: XML: special character is breaking the path in xml function. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-21707 (* Security fix *)
Diffstat (limited to 'source')
-rwxr-xr-xsource/l/python-setuptools_scm/python-setuptools_scm.SlackBuild82
-rw-r--r--source/l/python-setuptools_scm/setuptools_scm.url1
-rw-r--r--source/l/python-setuptools_scm/slack-desc19
-rwxr-xr-xsource/l/python-tomli/python-tomli.SlackBuild94
-rw-r--r--source/l/python-tomli/slack-desc19
-rw-r--r--source/l/python-tomli/tomli.url1
-rwxr-xr-xsource/n/nftables/nftables.SlackBuild3
7 files changed, 218 insertions, 1 deletions
diff --git a/source/l/python-setuptools_scm/python-setuptools_scm.SlackBuild b/source/l/python-setuptools_scm/python-setuptools_scm.SlackBuild
new file mode 100755
index 000000000..fd0bf10c8
--- /dev/null
+++ b/source/l/python-setuptools_scm/python-setuptools_scm.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+# Copyright 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-setuptools_scm
+SRCNAM=setuptools_scm
+VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+python3 setup.py install --root=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.rst LICENSE* NOTICE PKG-INFO README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+# If there's a HISTORY.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat HISTORY.rst | head -n 1000 > $DOCSDIR/HISTORY.rst
+ touch -r HISTORY.rst $DOCSDIR/HISTORY.rst
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/python-setuptools_scm/setuptools_scm.url b/source/l/python-setuptools_scm/setuptools_scm.url
new file mode 100644
index 000000000..71af39a71
--- /dev/null
+++ b/source/l/python-setuptools_scm/setuptools_scm.url
@@ -0,0 +1 @@
+https://pypi.org/project/setuptools_scm
diff --git a/source/l/python-setuptools_scm/slack-desc b/source/l/python-setuptools_scm/slack-desc
new file mode 100644
index 000000000..8f2c8a98d
--- /dev/null
+++ b/source/l/python-setuptools_scm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-setuptools_scm: python-setuptools_scm (manages versions in SCM metadata)
+python-setuptools_scm:
+python-setuptools_scm: setuptools_scm handles managing your Python package versions in SCM
+python-setuptools_scm: metadata instead of declaring them as the version argument or in a SCM
+python-setuptools_scm: managed file. It also provides setuptools with a list of files that
+python-setuptools_scm: are managed by the SCM. Git and mercurial are supported out of the
+python-setuptools_scm: box.
+python-setuptools_scm:
+python-setuptools_scm: Homepage: https://github.com/pypa/setuptools_scm/
+python-setuptools_scm:
+python-setuptools_scm:
diff --git a/source/l/python-tomli/python-tomli.SlackBuild b/source/l/python-tomli/python-tomli.SlackBuild
new file mode 100755
index 000000000..0c207be54
--- /dev/null
+++ b/source/l/python-tomli/python-tomli.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/bash
+
+# Copyright 2021 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-tomli
+SRCNAM=tomli
+VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+# flit is not needed at runtime
+sed -i '/flit_core/d' pyproject.toml
+
+# Use this setup.py shim:
+cat << EOF > setup.py
+from setuptools import setup
+setup(name="${SRCNAM}", version="${VERSION}", packages=["${SRCNAM}"], package_data={"": ["*"]})
+EOF
+
+# With the shim, it's a good idea to use "unshare -n" to prevent downloading
+# anything extra:
+unshare -n python3 setup.py install --root=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.rst LICENSE* NOTICE PKG-INFO README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+# If there's a HISTORY.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat HISTORY.rst | head -n 1000 > $DOCSDIR/HISTORY.rst
+ touch -r HISTORY.rst $DOCSDIR/HISTORY.rst
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/python-tomli/slack-desc b/source/l/python-tomli/slack-desc
new file mode 100644
index 000000000..80be264c2
--- /dev/null
+++ b/source/l/python-tomli/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-tomli: python-tomli (A lil' TOML parser)
+python-tomli:
+python-tomli: Tomli is a Python library for parsing TOML (a minimal configuration
+python-tomli: file format).
+python-tomli:
+python-tomli: Homepage: https://github.com/hukkin/tomli
+python-tomli:
+python-tomli:
+python-tomli:
+python-tomli:
+python-tomli:
diff --git a/source/l/python-tomli/tomli.url b/source/l/python-tomli/tomli.url
new file mode 100644
index 000000000..22bfedf76
--- /dev/null
+++ b/source/l/python-tomli/tomli.url
@@ -0,0 +1 @@
+https://pypi.org/project/tomli
diff --git a/source/n/nftables/nftables.SlackBuild b/source/n/nftables/nftables.SlackBuild
index 292d1e6f4..d6bed8a4d 100755
--- a/source/n/nftables/nftables.SlackBuild
+++ b/source/n/nftables/nftables.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=nftables
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -93,6 +93,7 @@ LIBS="-lncursesw" \
--disable-static \
--with-json \
--enable-python \
+ --with-cli=readline \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1